Bug 1029888 - [pm-utils] - pm-hibernate not working as expected
[pm-utils] - pm-hibernate not working as expected
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
20
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 08:22 EST by IBM Bug Proxy
Modified: 2015-06-29 20:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Serial console logs from affected machine (45.58 KB, text/plain)
2013-11-13 08:23 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 99151 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-11-13 08:22:59 EST
Description of problem: 
--------------------------------
While testing some Power management commands I found that "pm-hibernate" is not working as expected. Ideally it should hibernate the system & I should be able to resume the system later. 

On a system installed with Fedora 20, after issuing command "pm-hibernate" the system is getting rebooted & coming up again automatically.

How reproducible: Always.

Version-Release number of selected component (if applicable):
[root@fedora2 ~]# uname -a
Linux fedora2 3.11.0-300.fc20.ppc64p7 #1 SMP Thu Sep 5 16:13:50 MST 2013 ppc64 ppc64 ppc64 GNU/Linux

Steps to Reproduce:
----------------------------
1) Install Fedora 20 on a "junoiocplus2-lp4" Lpar.
2) Issue command "pm-hibernate"
3) System will reboot & come up automatically.

Actual results: System reboots

Expected results:
System correctly hibernates.
System correctly resumes.

Additional info: Attaching serial console output.

== Comment: # - Brent J. Baude <baude@us.ibm.com> -  ==
is this a valid test? this is a new requirement for me. maybe I missed it before?

== Comment: # - Shubham Goyal <shubgoya@in.ibm.com> - ==
(In reply to comment #3)
> Can you please check the out put of 
> * cat /sys/power/state -----> If there is 'disk' in the o/p then it supports
> hibernate. 
> * swapon -s 
> * free                       

Hi Vaishnavi,

I already checked that earlier & I think this target should support hibernate.

1) [root@fedora2 ~]# cat /sys/power/state
    freeze mem disk

2) [root@fedora2 ~]# swapon -s 
    Filename				Type		Size	          Used	Priority
    /dev/dm-0                             partition	4210624	  0	       -1

3) [root@fedora2 ~]# free
             total       used       free     shared    buffers     cached
Mem:       3635584     818112    2817472       8000      68672     360320
-/+ buffers/cache:     389120    3246464
Swap:      4210624          0    4210624

Thanks...
Comment 1 IBM Bug Proxy 2013-11-13 08:23:15 EST
Created attachment 823401 [details]
Serial console logs from affected machine
Comment 2 Jaroslav Škarvada 2013-11-13 08:34:12 EST
Please note pm-utils are going to be deprecated. Suspend/hibernate/resume is now handled by systemd in the userspace, i.e. see commands 'systemctl suspend' (hibernate), but I guess your problem is in the kernel, i.e. does it work by issuing:

# echo disk > /sys/power/state

?
Comment 3 neige 2013-11-15 09:18:53 EST
Same problem here with 3.11.7-300.fc20.x86_64  
echo disk > /sys/power/state also doesn't work,
  seems that it didn't check the swap partition when booting.

but add kernel parameter resume=<swap_partition> works, system correctly resumes.

Thanks.
Comment 4 Jaroslav Škarvada 2013-11-15 09:36:25 EST
neige: I guess your problem is in dracut, it should handle this, please open new bug against dracut.
Comment 5 IBM Bug Proxy 2013-11-19 05:51:23 EST
------- Comment From shubgoya@in.ibm.com 2013-11-19 10:46 EDT-------
(In reply to comment #9)
> Please note pm-utils are going to be deprecated. Suspend/hibernate/resume is
> now handled by systemd in the userspace, i.e. see commands 'systemctl
> suspend' (hibernate), but I guess your problem is in the kernel, i.e. does
> it work by issuing:
> # echo disk > /sys/power/state?

I got below messages in serial console after issuing above command in F20-Beta:

tuleta4u-lp3 login: [39384.190158] PM: Syncing filesystems ... done.
[39384.259768] Freezing user space processes ... (elapsed 0.009 seconds) done.
[39384.269552] PM: Preallocating image memory... done (allocated 20275 pages)
[39385.870058] PM: Allocated 1297600 kbytes in 1.60 seconds (811.00 MB/s)
[39385.870062] Freezing remaining freezable tasks ... (elapsed 0.009 seconds) done.
[39385.889828] Suspending console(s) (use no_console_suspend to debug)

I was able to reclaim the system after a restart from HMC.
Comment 6 IBM Bug Proxy 2014-10-08 07:10:38 EDT
------- Comment From vaish123@in.ibm.com 2014-10-08 11:07 EDT-------
Any updates on the bug ?
Comment 7 Fedora End Of Life 2015-05-29 05:45:00 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 20:44:23 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.